// JavaScript Document
function init() {
var vid = document.getElementById("videoPlayer"); 
var playButton = document.getElementById('playButton');
var muteButton = document.getElementById('mute');
var text = document.getElementById("text"); 
var bubble = document.getElementById('bubble');
var background = document.getElementById("background");
var expandButton = document.getElementById('expandButton');
var contracted = true;
var firstPlay = false;
var isExpanded = false;
var isPlaying = false; 
var isMuted = true;
vid.muted = true;

/////Adds VAST reporting/////
ADTECH.registerVideoPlayer(vid);

/////Define your video sources below/////
var sources = [
	{
			options:[
				{type:'video/mp4',src:'video.mp4'},
				{type:'video/webm',src:'video.webmsd.webm'}
			]
	}/*,
	{
			options:[
				{type:'mp4',src:'file2.mp4'},
				{type:'webm',src:'file2.webm'}
			]
	}*/
];

function selectSource(index){
	var video = sources[index];
	for(var i = 0; i < video.options.length; i++){
		if(vid.canPlayType(video.options[i].type) != ""){
			vid.src = video.options[i].src; 	
			break;
		}
	}
}

playButton.onclick = function(e){
	selectSource(0);
	vid.style.opacity = 1;
	if(firstPlay === true){ 
		vid.play();
		muteButton.style.display = "block";
		isPlaying = true;
		isMuted = true;
	} else {
		vid.play();
		muteButton.style.display = "block";
		firstPlay = true;
		isPlaying = true;
		isMuted = false;
	}
    playButton.style.display = 'none';
};

muteButton.onclick = function(e){
	if(isMuted === true){ 
		vid.muted = false;
		muteButton.style.backgroundImage = "url('images/mute.png')";
		isMuted = false;
	} else {
		vid.muted = true;
		muteButton.style.backgroundImage = "url('images/unmute.png')";
		isMuted = true;	
	}
};	
	
/////Defines what should occur when the video finishes/////
vid.onended = function(){
	vid.style.opacity = 0;
	muteButton.style.display = "none";
    playButton.style.display = 'block';
};

closeButton.onclick = function(e){
		///// Contract Event shown in reporting /////
		ADTECH.contract();
		if(isPlaying){
     vid.pause();
		}
		contracted = true;
		/////Add any elements that should be hidden in the contracted state of the add/////
		var elm = [playButton,closeButton,videoContainer,muteButton];
		for(i = 0; i < elm.length; i++){
			if ( elm[i].className.match(/(?:^|\s)hide(?!\S)/) === null){
				elm[i].className += " hide";	 
			}		  
		}
		document.getElementById("background").className = " contracted";
	    expandButton.style.display = "block";
		bubble.style.display = "block"; 
		text.style.display = "block";
};

expandButton.onclick = function(e){
  if(contracted){  
	///// Expand Event shown in reporting /////
    ADTECH.expand();
	///// Add any elements that should be visible in the expanded state /////
    var expC = [vid, playButton, closeButton, videoContainer,muteButton];
    for(i = 0; i < expC.length; i++){
      if ( expC[i].className.match(/(?:^|\s)hide(?!\S)/)){
        expC[i].className = expC[i].className.replace(/(?:^|\s)hide(?!\S)/, "");   
      }    
    }   
  }
  text.style.display = "none";
  bubble.style.display = "none"; 
  expandButton.style.display = "none";
  background.className = " expanded";
  contracted = false;
  if(isPlaying){
    vid.play();
  }
};  
///// Set your desired click name plus cick URL: ADTECH.click("yourname","yourURL"); /////	
background.onclick = function(e){
  e = e || window.event; var obj = e.target || e.srcElement;
      if(!contracted && obj.className.indexOf("button") == -1){
        ADTECH.click("expanded", "http://www.adsolutions.com");
      }  
};         
}
ADTECH.ready(init);